Community Conundrum 25: Feature Visualization is now live! Read More

Error after dataiku start

Level 1
Error after dataiku start

Hello, 

we migrated our instances on a new server (mainly : path change & ubuntu upgrade). 

I did the installer -u option and all sounds to be ok. Dataiku automation node "correctly start" and UI is up. 

but as soon we try to run a scenario or even test a sql connection we got exception on kernel level and nothing is working. 

[2020/09/08-07:03:17.537] [JEK-AUcytp3a-log-88] [INFO] [dku.jobs.kernel] - [2020/09/08-07:03:17.537] [main] [INFO] [dku.job] - Classes loaded, starting server
[2020/09/08-07:03:17.598] [JEK-AUcytp3a-log-88] [INFO] [dku.jobs.kernel] - Exception in thread "main" java.lang.NullPointerException
[2020/09/08-07:03:17.598] [JEK-AUcytp3a-log-88] [INFO] [dku.jobs.kernel] - at com.dataiku.dip.security.RegularSymetricCryptoService.decryptIfEncrypted(RegularSymetricCryptoService.java:65)
[2020/09/08-07:03:17.598] [JEK-AUcytp3a-log-88] [INFO] [dku.jobs.kernel] - at com.dataiku.dip.cluster.ImpalaSettings.decryptFields(ImpalaSettings.java:83)

 

Do you have any suggestion for this? 

 

dataiku is version 5.0.2 (yes it's old and this update is the first step to migrate to v8). 

 

thanks!

0 Kudos
3 Replies
Level 6

@ThomasL 

This is only a guess.  I have an intuition that the new Umbuntu server is running a later version of Java than is supported by the several-year-old version of DSS you are using.

My intuition is coming from a recent thread about JDBC driver versions discussion here.

https://community.dataiku.com/t5/Setup-Configuration/Failed-Connection-to-MS-SQL-SERVER/m-p/9548#M99...

Hope those $0.02 are of a little bit of help to you.

I'd also suggest a support ticket.   With recent versions of the tool, there are some ways that DSS staff can look at more detailed logs to determine what the cause of problems might be.

--Tom
0 Kudos
Level 1
Author

Exact! OpenJDK 11 was the default installed on the new server. 

and 5.0.2 dataiku version is officialy need only java8 (the old version used on old server). 

Nevertheless, if anyone has the same issue : strangely, the design node in v5.0.2 is able to run with openJdk11 (with small adaptation of the install script to consider the JDK 11 version) but not the Automation node. 

anyway, i removed the jdk 11 and my automation started correctly with JDK8.

Level 6

@ThomasL 

So glad to hear that you have this working. 🙂

--Tom
0 Kudos